# template: default
%global gem_name kubeclient

Name: rubygem-%{gem_name}
Version: 4.10.1
Release: 1%{?dist}
Summary: A client for Kubernetes REST api
License: MIT
URL: https://github.com/abonas/kubeclient
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 2.2.0
BuildRequires: ruby >= 2.2.0
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
A client for Kubernetes REST api.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE.txt
%exclude %{gem_instdir}/RELEASING.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%exclude %{gem_instdir}/kubeclient.gemspec

%changelog
* Thu Dec 15 2022 Dirk Goetz <dirk.goetz@netways.de> 4.10.1-1
- Update to 4.10.1

* Tue Apr 06 2021 Eric D. Helms <ericdhelms@gmail.com> - 4.3.0-2
- Rebuild for Ruby 2.7

* Wed Apr 24 2019 Moti Asayag <masayag@redhat.com> 4.3.0-1
- Add rubygem-kubeclient generated by gem2rpm using the scl template

